﻿using Hotline.Share.Enums.Settings;

namespace Hotline.Share.Dtos.Roles
{
    public record RoleAuthorityDto
    {
        public string RoleId { get; set; }

        public string RoleCode { get; set; }

        public List<string> SystemMenuArr { get; set; }

        public List<string> SystemButtonArr { get; set; }

    }

    public record AddDataAuthorityDto
    {
        public string RoleId { get; set; }

        public string RoleCode { get; set; }

        public EAuthorityType AuthorityType { get; set; }

        public string PermissionCode { get; set; }
    }

    public record UpdateDataAuthorityDto
    {
        public string Id { get; set; }

        public EAuthorityType AuthorityType { get; set; }
    }

}
