﻿namespace Hotline.Share.Enums.Order;

/// <summary>
/// 受理类型
/// </summary>
public enum EAcceptType
{
    Other = 0,

    /// <summary>
    /// 咨询
    /// </summary>
    Consult = 1,

    /// <summary>
    /// 建议
    /// </summary>
    Suggest = 2,

    /// <summary>
    /// 求助
    /// </summary>
    SeekHelp = 3,

    /// <summary>
    /// 表扬
    /// </summary>
    Praise = 4,

    /// <summary>
    /// 举报
    /// </summary>
    Report = 5,

    /// <summary>
    /// 投诉
    /// </summary>
    Complain = 6,
}