﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

/// <summary>
/// 推送分类
/// </summary>
public enum EPushType
{
    //人力资源社会保障厅、交通运输厅、文旅和旅游厅、中小企业款项支付“指引诉求”、中小企业款项支付“跟办诉求”、中小企业款项支付“咨询诉求”、110
    [Description("人力资源社会保障厅")]
    Rlzyshbzt = 0,

    [Description("交通运输厅")]
    Jtyst = 1,

    [Description("文旅和旅游厅")]
    Wlt = 2,

    [Description("中小企业款项支付“指引诉求”")]
    ZxqyZysq = 3,

    [Description("中小企业款项支付“跟办诉求”")]
    ZxqyGbsq = 4,

    [Description("中小企业款项支付“咨询诉求”")]
    ZxqyZxsq = 5,

    [Description("110")]
    GongAn110 = 6,
}