﻿using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.Definitions;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Settings;

/// <summary>
/// 工作流业务模块
/// </summary>
public class WorkflowModule
{
    /// <summary>
    /// code: name
    /// </summary>
    public static Dictionary<string, string> Modules { get; } =
        new Dictionary<string, string>
        {
            { WorkflowModuleConsts.Order, "工单办理" },
            { WorkflowModuleConsts.KnowledgeAdd, "新增知识审批" },
        };
}

public class WorkflowModuleConsts
{
    /// <summary>
    /// 工单办理
    /// </summary>
    public const string Order = "Order";

    /// <summary>
    /// 新增知识审批
    /// </summary>
    public const string KnowledgeAdd = "KnowledgeAdd";
}