﻿using Hotline.Share.Dtos.FlowEngine;

namespace Hotline.Application.FlowEngine
{
    public interface IWorkflowApplication
    {
        Task<string> StartWorkflowAsync(StartWorkflowDto dto, CancellationToken cancellationToken = default);
        
        /// <summary>
        /// 流转至下一节点（节点办理）
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task NextAsync(NextWorkflowDto dto, CancellationToken cancellationToken);
    }
}
