﻿namespace Hotline.Share.Dtos.Workflow;

public class WorkflowDefinitionDto
{
    public bool IsPreDefinition { get; set; }

    /// <summary>
    /// 模板编码
    /// </summary>
    public string Id { get; set; }

    public int Version { get; set; }

    public string Description { get; set; }

    //public string DataType { get; set; }

    //public WorkflowErrorHandling DefaultErrorBehavior { get; set; }

    public TimeSpan? DefaultErrorRetryInterval { get; set; }

    //public List<Step> Steps { get; set; } = new List<Step>();

    /// <summary>
    /// 业务模块
    /// </summary>
    public string Module { get; set; }

    /// <summary>
    /// 业务模块编码
    /// </summary>
    public string ModuleCode { get; set; }

    /// <summary>
    /// 模板名称
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 启用/禁用
    /// </summary>
    public bool Enable { get; set; }

    public DateTime CreationTime { get; set; }

    /// <summary>
    /// 最近更新时间
    /// </summary>
    public DateTime LastModificationTime { get; }
}