﻿namespace Hotline.Share.Enums.Order;

/// <summary>
/// 证件类型
/// </summary>
public enum ELicenceType
{
    Unknown = 0,

    /// <summary>
    /// 身份证
    /// </summary>
    IdCard = 1,

    /// <summary>
    /// 护照
    /// </summary>
    Passport = 2,

    /// <summary>
    /// 港澳通行证
    /// </summary>
    HongKongMacaoTravelPermit = 3,

    /// <summary>
    /// 台湾通行证
    /// </summary>
    TaiwanTravelPermit = 4,
}