﻿using Hotline.Identity.Roles;
using Hotline.Settings;
using XF.Domain.Entities;

namespace Hotline.SeedData
{
    public class OrgSeedData : ISeedData<SystemOrganize>
    {
        public static readonly string Id = "08dac6ae-3096-4156-828e-b34e9c1fb5da";
        public static readonly string Code = "001";

        public IEnumerable<SystemOrganize> HasData() =>
        new[]
        {
            new SystemOrganize
            {
                Id = Id,
                OrgName = "12345政务服务便民热线",
                OrgCode = Code,
                IsEnable = true,
                CreationTime = DateTime.Now
            }
        };
    }
}
