﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XF.Domain.Constants
{
    public class SettingConstants
    {
        /// <summary>
        /// 是否启用IVR
        /// </summary>
        public const string IVRConfig = "IVRConfig";

        /// <summary>
        /// 时段定义
        /// </summary>
        public const string TimeOrder = "TimeOrder";

        /// <summary>
        /// 工作日定义
        /// </summary>
        public const string WorkTimeSetting = "WorkTimeSetting";

        /// <summary>
        /// 工作时段语音导航
        /// </summary>
        public const string WorkCategory = "WorkCategory";

        /// <summary>
        /// 休息时段语音导航
        /// </summary>
        public const string RestCategory = "RestCategory";

        /// <summary>
        /// 上午开始时间
        /// </summary>
        public const string MorningBegin = "MorningBegin";

        /// <summary>
        /// 上午结束时间
        /// </summary>
        public const string MorningEnd = "MorningEnd";

        /// <summary>
        /// 下午开始时间
        /// </summary>
        public const string AfterBegin = "AfterBegin";

        /// <summary>
        /// 下午结束时间
        /// </summary>
        public const string AfterEnd = "AfterEnd";
    }
}
